#
# spec file for package perl-Test-NoWarnings
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-NoWarnings
Version:        1.04
Release:        13.3
%define         cpan_name Test-NoWarnings
Summary:        Make sure you didn't emit any warnings while testing
License:        LGPL-2.1+
Group:          Development/Libraries/Perl
# MANUAL
Url:            http://search.cpan.org/dist/Test-NoWarnings/
Source:         http://www.cpan.org/authors/id/A/AD/ADAMK/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(Test::Tester) >= 0.107
#BuildRequires: perl(Test::NoWarnings)
#BuildRequires: perl(Test::NoWarnings::Warning)
Requires:       perl(Test::Builder) >= 0.86
%{perl_requires}

%description
In general, your tests shouldn't produce warnings. This modules causes any
warnings to be captured and stored. It automatically adds an extra test
that will run when your script ends to check that there were no warnings.
If there were any warings, the test will give a "not ok" and diagnostics of
where, when and what the warning was, including a stack trace of what was
going on when the it occurred.

If some of your tests *are supposed to* produce warnings then you should be
capturing and checking them with the Test::Warn manpage, that way the
Test::NoWarnings manpage will not see them and so not complain.

The test is run by an 'END' block in Test::NoWarnings. It will not be run
when any forked children exit.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE MYMETA.json README

%changelog
* Mon Dec 24 2012 lars@linux-schulserver.de
- remove versioned dependency for Test::Builder to allow build on
  SLE_11
* Mon Feb 20 2012 coolo@suse.com
- updated to 1.04
  - Added the experimental :early debugging pragma to cause warnings
    to be emitted immediately. This should stay off otherwise (ADAMK)
* Mon Sep 19 2011 coolo@suse.com
- updated to 1.03
  - Test::Builder and Test::Tester dependencies were the wrong way
    around, corrected (ADAMK)
* Tue Mar 15 2011 cfarrell@novell.com
- license update: LGPLv2.1+
  See LICENSE file and README: Clearly, this is not Artistic, but LGPLv2.1 licensed
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Sep 13 2010 lars@linux-schulserver.de
- update to 1.02:
  + Remove the need for a private variable when detecting
    Devel::StackTrace support
  + Don't import unused functions from Carp or Test::Builder
  + Minor documentation tweaks
  + Correct the repository metadata in META.yml
  + Minor cleanups in the eumm-update generated code
  + Added a dedicated compile test
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sat Jun 20 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o added header
  o fixed deps
* Mon Aug 11 2008 lrupp@suse.de
- initial version 0.084
